Package org.apache.jmeter.protocol.jdbc.processor

# Class AbstractJDBCProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement
org.apache.jmeter.protocol.jdbc.processor.AbstractJDBCProcessor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

Direct Known Subclasses:
  `JDBCPostProcessor`, `JDBCPreProcessor`

public abstract class AbstractJDBCProcessor extends AbstractJDBCTestElement
As pre- and post-processors essentially do the same this class provides the implementation.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement

  `ENCODING`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractJDBCProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `process()`
  Calls the JDBC code to be executed.

  ### Methods inherited from class org.apache.jmeter.protocol.jdbc.AbstractJDBCTestElement

  `close, close, close, execute, execute, getDataSource, getIntegerQueryTimeout, getIntegerResultSetMaxRows, getQuery, getQueryArguments, getQueryArgumentsTypes, getQueryTimeout, getQueryType, getResultSetHandler, getResultSetMaxRows, getResultVariable, getVariableNames, setDataSource, setQuery, setQueryArguments, setQueryArgumentsTypes, setQueryTimeout, setQueryType, setResultSetHandler, setResultSetMaxRows, setResultVariable, setVariableNames, toString`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### AbstractJDBCProcessor

    public AbstractJDBCProcessor()

- ## Method Details

  - ### process

    protected void process()
    Calls the JDBC code to be executed.